Subject: Re: [Intel-wired-lan] [PATCH v2 1/1] e1000e: Undo e1000e_pm_freeze if __e1000_shutdown fails

From: Jeff Kirsher <[email-masked]>
Date: Tue, 27 Jun 2017 13:51:05 -0700

On Wed, 2017-06-28 at 05:28 +1000, Dave Airlie wrote:
> On 20 June 2017 at 18:49, Daniel Vetter <[email-masked]> wrote:
> > On Wed, Jun 07, 2017 at 01:07:33AM +0000, Brown, Aaron F wrote:
> > > > From: Intel-wired-lan [mailto:[email-masked]]
> > > > On Behalf
> > > > Of Jeff Kirsher
> > > > Sent: Tuesday, June 6, 2017 1:46 PM
> > > > To: David Miller <[email-masked]>; Nikula, Jani
> > > > <[email-masked]>
> > > > Cc: Ursulin, Tvrtko <[email-masked]>; daniel.vetter@ffwll
> > > > .ch; intel-
> > > > [email-masked]; [email-masked];
> > > > [email-masked]; [email-masked]; Ertman,
> > > > David M
> > > > <[email-masked]>; [email-masked]; dri-
> > > > [email-masked]; [email-masked]; airlied@gmail.
> > > > com
> > > > Subject: Re: [Intel-wired-lan] [PATCH v2 1/1] e1000e: Undo
> > > > e1000e_pm_freeze if __e1000_shutdown fails
> > > > 
> > > > On Fri, 2017-06-02 at 14:14 -0400, David Miller wrote:
> > > > > From: Jani Nikula <[email-masked]>
> > > > > Date: Wed, 31 May 2017 18:50:43 +0300
> > > > > 
> > > > > > From: Chris Wilson <[email-masked]>
> > > > > > 
> > > > > > An error during suspend (e100e_pm_suspend),
> > > > > 
> > > > >  ...
> > > > > > lead to complete failure:
> > > > > 
> > > > >  ...
> > > > > > The unwind failures stems from commit 2800209994f8 ("e1000e:
> > > > > > Refactor PM
> > > > > > flows"), but it may be a later patch that introduced the non-
> > > > > > recoverable
> > > > > > behaviour.
> > > > > > 
> > > > > > Fixes: 2800209994f8 ("e1000e: Refactor PM flows")
> > > > > > Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=99847
> > > > > > Cc: Tvrtko Ursulin <[email-masked]>
> > > > > > Cc: Jeff Kirsher <[email-masked]>
> > > > > > Cc: Dave Ertman <[email-masked]>
> > > > > > Cc: Bruce Allan <[email-masked]>
> > > > > > Cc: [email-masked]
> > > > > > Cc: [email-masked]
> > > > > > Signed-off-by: Chris Wilson <[email-masked]>
> > > > > > [Jani: bikeshed repainted]
> > > > > > Signed-off-by: Jani Nikula <[email-masked]>
> > > > > 
> > > > > Jeff, please make sure this gets submitted to me soon.
> > > > 
> > > > Expect it later tonight, just finishing up testing.
> > > 
> > > Tested-by: Aaron Brown <[email-masked]>
> > 
> > Hm, I seem to be blind, but I can't find it anywhere in -rc6. Does
> > someone
> > have the sha1 from Linus' git for this patch?
> 
> Guys this is a pretty serious regression, just left blowing in the
> wind, is anyone responsible for e1000e?

This was submitted and accepted into David Miller's net-next tree.  I can
see if Dave can pull it into his net tree.  DOes stable need to pick this
up as well?

_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel